Certificate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.cert
Class Certificate

    java.lang.Object
      javax.security.cert.Certificate

Direct Known Subclasses:
  X509Certificate

    public abstract class Certificate

extends Object

Abstract class for managing a variety of identity certificates. An identity certificate is a guarantee by a principal that a public key is that of another principal. (A principal represents an entity such as an individual user, a group, or a corporation.)

This class is an abstraction for certificates that have different formats but important common uses. For example, different types of certificates, such as X.509 and PGP, share general certificate functionality (like encoding and verifying) and some types of information (like a public key).

X.509, PGP, and SDSI certificates can all be implemented by subclassing the Certificate class, even though they contain different sets of information, and they store and retrieve the information in different ways.

Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard J2SE certificate classes located in `java.security.cert`.

Since:
  1.4
Version:
  1.15
Author:
  Hemma Prafullchandra
See Also:
  `X509Certificate`

Constructor Summary
`Certificate()`

Method Summary
`boolean` | `equals(Object other)` Compares this certificate for equality with the specified object.
`abstract byte[]` | `getEncoded()` Returns the encoded form of this certificate.
`abstract PublicKey` | `getPublicKey()` Gets the public key from this certificate.
`int` | `hashCode()` Returns a hashcode value for this certificate from its encoded form.
`abstract String` | `toString()` Returns a string representation of this certificate.
`abstract void` | `verify(PublicKey key)` Verifies that this certificate was signed using the private key that corresponds to the specified public key.
`abstract void` | `verify(PublicKey key, String sigProvider)` Verifies that this certificate was signed using the private key that corresponds to the specified public key.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Certificate

    public Certificate()

Method Detail

### equals

    public boolean equals(Object other)

  Compares this certificate for equality with the specified object. If the `other` object is an `instanceof` `Certificate`, then its encoded form is retrieved and compared with the encoded form of this certificate.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `other` - the object to test for equality with this certificate.
  Returns:
    true if the encoded forms of the two certificates match, false otherwise.
  See Also:
    `Object.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Returns a hashcode value for this certificate from its encoded form.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashcode value.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### getEncoded

    public abstract byte[] getEncoded()
                               throws CertificateEncodingException

  Returns the encoded form of this certificate. It is assumed that each certificate type would have only a single form of encoding; for example, X.509 certificates would be encoded as ASN.1 DER.

  Returns:
    encoded form of this certificate
  Throws:
    `CertificateEncodingException` - on internal certificate encoding failure

### verify

    public abstract void verify(PublicKey key)
                         throws CertificateException,
                                NoSuchAlgorithmException,
                                InvalidKeyException,
                                NoSuchProviderException,
                                SignatureException

  Verifies that this certificate was signed using the private key that corresponds to the specified public key.

  Parameters:
    `key` - the PublicKey used to carry out the verification.
  Throws:
    `NoSuchAlgorithmException` - on unsupported signature algorithms.
    `InvalidKeyException` - on incorrect key.
    `NoSuchProviderException` - if there's no default provider.
    `SignatureException` - on signature errors.
    `CertificateException` - on encoding errors.

### verify

    public abstract void verify(PublicKey key,
                                String sigProvider)
                         throws CertificateException,
                                NoSuchAlgorithmException,
                                InvalidKeyException,
                                NoSuchProviderException,
                                SignatureException

  Verifies that this certificate was signed using the private key that corresponds to the specified public key. This method uses the signature verification engine supplied by the specified provider.

  Parameters:
    `key` - the PublicKey used to carry out the verification.
    `sigProvider` - the name of the signature provider.
  Throws:
    `NoSuchAlgorithmException` - on unsupported signature algorithms.
    `InvalidKeyException` - on incorrect key.
    `NoSuchProviderException` - on incorrect provider.
    `SignatureException` - on signature errors.
    `CertificateException` - on encoding errors.

### toString

    public abstract String toString()

  Returns a string representation of this certificate.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of this certificate.

### getPublicKey

    public abstract PublicKey getPublicKey()

  Gets the public key from this certificate.

  Returns:
    the public key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD